Loading...
Searching...
No Matches
AVDRMPlaneDescriptor Struct Reference

DRM plane descriptor. More...

`#include <libavutil/hwcontext_drm.h>`

## Data Fields

int | object_index
| Index of the object containing this plane in the objects array of the enclosing frame descriptor.
ptrdiff_t | offset
| Offset within that object of this plane.
ptrdiff_t | pitch
| Pitch (linesize) of this plane.

## Detailed Description

DRM plane descriptor.

Describes a single plane of a layer, which is contained within a single object.

Definition at line 74 of file hwcontext_drm.h.

## Field Documentation

## object_index

int AVDRMPlaneDescriptor::object_index

Index of the object containing this plane in the objects array of the enclosing frame descriptor.

Definition at line 79 of file hwcontext_drm.h.

## offset

ptrdiff_t AVDRMPlaneDescriptor::offset

Offset within that object of this plane.

Definition at line 83 of file hwcontext_drm.h.

## pitch

ptrdiff_t AVDRMPlaneDescriptor::pitch

Pitch (linesize) of this plane.

Definition at line 87 of file hwcontext_drm.h.

The documentation for this struct was generated from the following file:

- libavutil/hwcontext_drm.h